//Source file: NameSpaceErrorException.java
//Date: September 2004
//Policy Management Data Types for 3GPP TS 29.198-13 V5.6.0

package org.csapi.jr.se.policy;

/**
 * Thrown if the specified name matches or does not match the name of an existing object of the appropriate type within this container.
 *
 */
public class NameSpaceErrorException extends org.csapi.jr.se.policy.PolicyException {

    private Throwable _cause = null;

    public NameSpaceErrorException() {
        super(); 
    }

    public NameSpaceErrorException(String message) {
        super(message); 
    }

    public NameSpaceErrorException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NameSpaceErrorException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NameSpaceErrorException

