//Source file: NotificationListener.java
//Date: September 2004
//Policy Management Interfaces for 3GPP TS 29.198-13 V5.6.0

package org.csapi.jr.se.policy;

/**
 * This interface is to be implemented for receiving events issued by the Notification activity object.<BR>
 *
 */
public interface NotificationListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the reportNotification() method on
    * the callback interface.
    *
    * @param  reportNotificationEvent  Reference to a ReportNotificationEvent event
    *        emmited from the impl or activity object.
    */
    void onReportNotificationEvent(org.csapi.jr.se.policy.ReportNotificationEvent reportNotificationEvent);

}
