//Source file: AccessViolationException.java
//Date: September 2004
//Policy Management Data Types for 3GPP TS 29.198-13 V5.6.0

package org.csapi.jr.se.policy;

/**
 * Thrown if the client does not have authorization to invoke this method on this object with these parameters.
 *
 */
public class AccessViolationException extends org.csapi.jr.se.policy.PolicyException {

    private Throwable _cause = null;

    public AccessViolationException() {
        super(); 
    }

    public AccessViolationException(String message) {
        super(message); 
    }

    public AccessViolationException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public AccessViolationException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // AccessViolationException

