//Source file: NoTransactionInProcessException.java
//Date: September 2004
//Policy Management Data Types for 3GPP TS 29.198-13 V5.6.0

package org.csapi.jr.se.policy;

/**
 * Thrown if there is currently no transaction in process.
 *
 */
public class NoTransactionInProcessException extends org.csapi.jr.se.policy.PolicyException {

    private Throwable _cause = null;

    public NoTransactionInProcessException() {
        super(); 
    }

    public NoTransactionInProcessException(String message) {
        super(message); 
    }

    public NoTransactionInProcessException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoTransactionInProcessException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoTransactionInProcessException

