//Source file: PolicyCondition.java
//Date: September 2004
//Policy Management Interfaces for 3GPP TS 29.198-13 V5.6.0

package org.csapi.jr.se.policy;

/**
 * This interface represents a PolicyCondition.<BR>
 *
 */
public interface PolicyCondition extends org.csapi.jr.se.Service {

    /**
     * Invokes the getParentRepository() method on the Parlay Gateway.
     */
    org.csapi.jr.se.policy.PolicyRepository getParentRepository()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the getParentRule() method on the Parlay Gateway.
     */
    org.csapi.jr.se.policy.PolicyRule getParentRule()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

}
