//Source file: PolicyException.java
//Date: September 2004
//Policy Management Data Types for 3GPP TS 29.198-13 V5.6.0

package org.csapi.jr.se.policy;

/**
 * Policy Management abstract exception
 *
 */
public class PolicyException extends java.lang.Exception {

    private Throwable _cause = null;

    public PolicyException() {
        super(); 
    }

    public PolicyException(String message) {
        super(message); 
    }

    public PolicyException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PolicyException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PolicyException

